Loading...
Searching...
No Matches
BALL::VIEW::PythonSettings Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/pythonSettings.h>`

Inheritance diagram for BALL::VIEW::PythonSettings:

## Public Slots

void | fileSelected ()
| Open a filedialog to select the startup script.
void | clearStartupScript ()
virtual void | rowSelected ()
void | selectFont ()

## Public Member Functions

| PythonSettings (QWidget *parent=0, const char *name=0)
| Constructor.
| ~PythonSettings ()
| Destructor.
QFont | getEditorFont () const
void | setFilename (const String &filename)
| Set the filename of the startup script.
String | getFilename () const
| Get the filename of the startup script.
const std::list< Hotkey > | getContent () const
void | setContent (const std::list< Hotkey > &hotkeys)
void | writePreferenceEntries (INIFile &inifile)
| Store the settings of all registered objects.
void | readPreferenceEntries (const INIFile &inifile)
| Restore the settings of all registered objects.
Public Member Functions inherited from BALL::VIEW::PreferencesEntry
| PreferencesEntry ()
virtual | ~PreferencesEntry ()
void | setINIFileSectionName (const String &name)
| Set the name for the section in the INIFile.
const String & | getINIFileSectionName () const
| Get the name for the section in the INIFile.
void | setWidgetStackName (const String &name)
StackPages & | getStackPages ()
| Return all pages, that are to be shown in a parent QStackedWidget.
void | setWidgetStack (QStackedWidget *stack)
virtual void | showStackPage (Position nr)
| Show the specified page in the QStackedWidget.
virtual void | showStackPage (QWidget *widget)
| Show the specified page in the QStackedWidget.
virtual Position | currentStackPage () const
| Get the currently shown page in the QStackedWidget.
virtual void | restoreDefaultValues (bool all=false)
| Set all registered objects to their default values.
virtual void | storeValues ()
virtual void | restoreValues (bool all=false)
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
virtual bool | setValueAllowed (QObject *)
| Allows to prevent restoring of widgets.

## Protected Attributes

QFont | font_
Protected Attributes inherited from BALL::VIEW::PreferencesEntry
String | inifile_section_name_
HashSet< QObject * > | registered_objects_
ValueMap | default_values_
ValueMap | last_values_
QStackedWidget * | widget_stack_
StackPages | stack_pages_

## Additional Inherited Members

Public Types inherited from BALL::VIEW::PreferencesEntry
typedef std::list< std::pair< QWidget *, String > > | StackPages
Protected Types inherited from BALL::VIEW::PreferencesEntry
typedef HashMap< const QObject *, String > | ValueMap
Protected Member Functions inherited from BALL::VIEW::PreferencesEntry
void | registerWidgets_ ()
void | registerObject_ (QObject *widget)
void | unregisterObject_ (QObject *widget)
BALL_DEPRECATED void | registerWidgetForHelpSystem_ (const QWidget *, const String &)
void | restoreValues_ (bool all, const ValueMap &map)
void | insertStackEntry_ (QWidget *, const String &name)
bool | isSupported_ (QObject &widget)
bool | getValue_ (const QObject *widget, String &value)
bool | setValue_ (QObject *widget, const String &value)

## Detailed Description

Dialog for setting the Python preferences. Currently only a startup script can be selected, that will be called, when the application has loaded and a PyWidget instance is added.

Definition at line 34 of file pythonSettings.h.

## Constructor & Destructor Documentation

## PythonSettings()

BALL::VIEW::PythonSettings::PythonSettings | ( | QWidget * | parent = 0,
|  | const char * | name = 0 )

Constructor.

## ~PythonSettings()

BALL::VIEW::PythonSettings::~PythonSettings | ( |  | ) |

inline

Destructor.

Definition at line 47 of file pythonSettings.h.

## Member Function Documentation

## clearStartupScript

void BALL::VIEW::PythonSettings::clearStartupScript | ( |  | ) |

slot

## fileSelected

void BALL::VIEW::PythonSettings::fileSelected | ( |  | ) |

slot

Open a filedialog to select the startup script.

## getContent()

const std::list< Hotkey > BALL::VIEW::PythonSettings::getContent | ( |  | ) | const

## getEditorFont()

QFont BALL::VIEW::PythonSettings::getEditorFont | ( |  | ) | const

inline

Definition at line 50 of file pythonSettings.h.

## getFilename()

String BALL::VIEW::PythonSettings::getFilename | ( |  | ) | const

Get the filename of the startup script.

## readPreferenceEntries()

void BALL::VIEW::PythonSettings::readPreferenceEntries | ( | const INIFile & | inifile | ) |

virtual

Restore the settings of all registered objects.

Reimplemented from BALL::VIEW::PreferencesEntry.

## rowSelected

virtual void BALL::VIEW::PythonSettings::rowSelected | ( |  | ) |

virtual slot

## selectFont

void BALL::VIEW::PythonSettings::selectFont | ( |  | ) |

slot

## setContent()

void BALL::VIEW::PythonSettings::setContent | ( | const std::list< Hotkey > & | hotkeys | ) |

## setFilename()

void BALL::VIEW::PythonSettings::setFilename | ( | const String & | filename | ) |

Set the filename of the startup script.

## writePreferenceEntries()

void BALL::VIEW::PythonSettings::writePreferenceEntries | ( | INIFile & | inifile | ) |

virtual

Store the settings of all registered objects.

Reimplemented from BALL::VIEW::PreferencesEntry.

## Member Data Documentation

## font_

QFont BALL::VIEW::PythonSettings::font_

protected

Definition at line 86 of file pythonSettings.h.